#include <stdio.h>
using namespace std;
int main()
{
    int n, k, max1,max2;
    scanf("%d", &n);
    int Arr[n];
    for(int i=0; i<n; i++)
    {
        scanf("%d", &Arr[i]);
    }max1= Arr[0];
    for(int i=1;i<n; i++)
    {
        if(max1<Arr[i])
        {
            max1=Arr[i];
            k=i;
        }
    }
    Arr[k] = Arr[0];
    Arr[0] = max1;
    max2 = Arr[1];
    for(int i=1; i<n; i++)
    {
        if(max2<Arr[i]) max2 = Arr[i];
    }
    printf("%d", max2-1);
}
